import React, { PropTypes } from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';

import formatDatetime from '../../utils/formatDatetime';


const FoundationDatetime = React.createClass({

    mixins: [PureRenderMixin],

    propTypes: {
        format: PropTypes.string,
        isUnixTimestamp: PropTypes.bool,
        timestamp: PropTypes.number,
    },

    getDefaultProps() {
        return {
            format: 'YYYY-MM-DD',
            isUnixTimestamp: false,
            timestamp: 0,
        };
    },

    render() {
        const { format, isUnixTimestamp, timestamp } = this.props;
        return (
            <span>
                { formatDatetime(timestamp, { format, isUnixTimestamp }) }
            </span>
        );
    },

});

export default FoundationDatetime;
