import ContainerWrapper from '../ContainerWrapper';
import actionName from '../../utils/actionName';

import monthpickerChange from './redux/monthpickerChange';


export const changeType = actionName('CHANGE');

export default ({
    Component,
} = {}) => {

    const mapDispatchToProps = (dispatch, props) => {
        const { customActionMetadata: custom, path, root } = props;
        const actionTypePrefix = props.actionTypePrefix || 'MONTHPICKER';

        return {
            onChange: (value) => dispatch(monthpickerChange({ custom, path, root, type: changeType(actionTypePrefix), value })),
        };
    };

    return ContainerWrapper({
        Component,
        mapDispatchToProps,
    });

};
