import toMoment from './toMoment';


// http://momentjs.com/docs/#/i18n/changing-locale/
const config = {
    'en': {
        calendar: {
            sameDay: '[today] HH:mm',
            nextDay: '[tomorrow] HH:mm',
            nextWeek: 'D MMMM YYYY, HH:mm',
            lastDay: '[yesterday] HH:mm',
            lastWeek: 'D MMMM YYYY, HH:mm',
            sameElse: 'D MMMM YYYY, HH:mm',
        },
    },
    'sv': {
        calendar: {
            sameDay: '[idag] HH:mm',
            nextDay: '[imorgon] HH:mm',
            nextWeek: 'D MMMM YYYY, HH:mm',
            lastDay: '[igår] HH:mm',
            lastWeek: 'D MMMM YYYY, HH:mm',
            sameElse: 'D MMMM YYYY, HH:mm',
        },
    },
};

export default (timestamp, { isUnixTimestamp = false, locale = 'sv', reference = null } = {}) => {
    return toMoment(timestamp, isUnixTimestamp)
        .locale(locale, config)
        .calendar(reference);
};
